/*
Site footer

@copyright (c) Copyright 2013-2017 Dorian Pula
@license AGPL-1.0
@author Dorian Pula [dorian.pula@amber-penguin-software.ca]
*/


import {h, Component} from 'preact';  /** @jsx h*/
import {observer} from 'mobx-observer';
import PropTypes from 'prop-types';

import {MarkdownBlock} from '../views/MarkdownBlock';
import {siteStore} from '../stores';


@observer
export class SiteFooter extends Component {
  static get propTypes() {
    return {
      styler: PropTypes.object,
    }
  }

  render() {
    return (
      <MarkdownBlock content={ siteStore.footer } slug='_footer' id='footer' styler={ this.props.styler } />
    );
  }
}
